Revision f7ad5aa2 configure

View differences:

configure
1495 1495
        objformat="win32"
1496 1496
        enable dos_paths
1497 1497
        if ! enabled x86_64; then
1498
        check_cpp_condition _mingw.h "(__MINGW32_MAJOR_VERSION > 3) || (__MINGW32_MAJOR_VERSION == 3 && __MINGW32_MINOR_VERSION >= 15)" ||
1499
            die "ERROR: MinGW runtime version must be >= 3.15."
1500
        enabled_any avisynth vfwcap_demuxer &&
1501
            { check_cpp_condition w32api.h "(__W32API_MAJOR_VERSION > 3) || (__W32API_MAJOR_VERSION == 3 && __W32API_MINOR_VERSION >= 13)" ||
1502
              die "ERROR: avisynth and vfwcap_demuxer require w32api version 3.13 or later."; }
1503
        fi
1498
            check_cpp_condition _mingw.h "(__MINGW32_MAJOR_VERSION > 3) || (__MINGW32_MAJOR_VERSION == 3 && __MINGW32_MINOR_VERSION >= 15)" ||
1499
                die "ERROR: MinGW runtime version must be >= 3.15."
1500
            enabled_any avisynth vfwcap_demuxer &&
1501
                { check_cpp_condition w32api.h "(__W32API_MAJOR_VERSION > 3) || (__W32API_MAJOR_VERSION == 3 && __W32API_MINOR_VERSION >= 13)" ||
1502
                  die "ERROR: avisynth and vfwcap_demuxer require w32api version 3.13 or later."; }
1503
            fi
1504 1504
        ;;
1505 1505
    cygwin*)
1506 1506
        target_os=cygwin

Also available in: Unified diff